Bug 20323 - Batch patron modification tool broken
Summary: Batch patron modification tool broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18403
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-02 10:12 UTC by Josef Moravec
Modified: 2018-03-23 10:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20323: Fix batch patron modification tool (1.44 KB, patch)
2018-03-02 10:18 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 20323: Fix batch patron modification tool (1.49 KB, patch)
2018-03-02 20:39 UTC, Roch D'Amour
Details | Diff | Splinter Review
Bug 20323: Fix batch patron modification tool (1.56 KB, patch)
2018-03-08 21:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-03-02 10:12:25 UTC
From tools/modborrowers.pl

341 if ( $patron ) {
342     $patron = $patron->unblessed;
343     $patron->{category_description} = $patron->category->description;

This was added by bug 18403 and leads (obviosly) to error:
Can't call method "category" on unblessed reference at /home/vagrant/kohaclone/tools/modborrowers.pl
Comment 1 Josef Moravec 2018-03-02 10:18:29 UTC
Created attachment 72347 [details] [review]
Bug 20323: Fix batch patron modification tool

Test plan:
1) Go to Tools -> Batch patrons modification
2) Select some patrons and try to change any field
--> without patch - it exploads with log:
Can't call method "category" on unblessed reference at /home/vagrant/kohaclone/tools/modborrowers.pl
--> with patch - the modification is properly made
Comment 2 Roch D'Amour 2018-03-02 20:39:10 UTC
Created attachment 72384 [details] [review]
Bug 20323: Fix batch patron modification tool

Test plan:
1) Go to Tools -> Batch patrons modification
2) Select some patrons and try to change any field
--> without patch - it exploads with log:
Can't call method "category" on unblessed reference at /home/vagrant/kohaclone/tools/modborrowers.pl
--> with patch - the modification is properly made

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>
Comment 3 Katrin Fischer 2018-03-08 21:10:29 UTC
Created attachment 72541 [details] [review]
Bug 20323: Fix batch patron modification tool

Test plan:
1) Go to Tools -> Batch patrons modification
2) Select some patrons and try to change any field
--> without patch - it exploads with log:
Can't call method "category" on unblessed reference at /home/vagrant/kohaclone/tools/modborrowers.pl
--> with patch - the modification is properly made

Signed-off-by: Roch D'Amour <roch.damour@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2018-03-15 09:22:02 UTC
Pushed to master for 18.05, thanks to all for your hard work.
Comment 5 Nick Clemens 2018-03-23 10:34:57 UTC
Depends on 18403 which is not in stable, not backporting for 17.11